/***************************************************************************
 *
 *  ZXEmuT -- ZX Spectrum Emulator with Tcl scripting
 *
 *  Copyright (C) 2012-2022 Ketmar Dark <ketmar@ketmar.no-ip.org>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, version 3 of the License ONLY.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 **************************************************************************/
#include "libboots.h"

const uint8_t sboot32[1809] = {
0x62,0x6f,0x6f,0x74,0x20,0x20,0x20,0x20,0x42,0xfc,0x06,0xfc,0x06,0x00,0x07,0xea,
0x85,0x00,0x0a,0x22,0x00,0xfd,0x30,0x0e,0x00,0x00,0x57,0xff,0x00,0x3a,0xf9,0xc0,
0x30,0x0e,0x00,0x00,0x6e,0x5d,0x00,0x3a,0xea,0x3a,0xf7,0x22,0x62,0x6f,0x6f,0x74,
0x20,0x20,0x20,0x20,0x22,0xaf,0x0d,0x00,0x14,0xd2,0x06,0xf7,0x3a,0xea,0x00,0x06,
0x06,0x0e,0x04,0xff,0x21,0x48,0x63,0x36,0xc9,0x3e,0x5a,0xd3,0x7f,0xd3,0x5f,0x01,
0xdf,0xff,0xed,0x50,0x06,0xfb,0xed,0x58,0x05,0xed,0x78,0xbb,0x28,0x0f,0xba,0x28,
0x0c,0x36,0x21,0x04,0xed,0x68,0x06,0xff,0xed,0x60,0x22,0xed,0x9e,0x21,0xfa,0x63,
0x11,0x00,0x9e,0x01,0x10,0x00,0xed,0xb0,0x11,0x00,0x99,0xd5,0x0e,0x40,0xed,0xb0,
0xe1,0xdd,0x2e,0x07,0x0e,0x40,0xed,0xb0,0xe5,0x06,0x10,0x37,0xcb,0x1e,0x23,0x23,
0xcb,0x1e,0x2b,0x3f,0xcb,0x1e,0x23,0x23,0xcb,0x1e,0x23,0x10,0xee,0xe1,0xdd,0x2d,
0x20,0xe2,0xeb,0x22,0x49,0x61,0x06,0x08,0x36,0x1a,0x23,0x36,0x14,0x23,0x36,0xae,
0x23,0x36,0x77,0x23,0x36,0x24,0x23,0x10,0xef,0x2b,0x36,0xc9,0x21,0x68,0x5d,0x7e,
0x32,0x69,0x5e,0x2c,0x7e,0x32,0x70,0x5e,0x2c,0x7e,0x32,0x33,0x62,0x2c,0x7e,0x32,
0x4f,0x62,0x2c,0x7e,0x32,0x64,0x60,0x2c,0x7e,0x32,0x11,0x5e,0x21,0x00,0x3d,0x11,
0x20,0x91,0x06,0x60,0xc5,0xd5,0x3e,0x00,0xa7,0x06,0x08,0x20,0x16,0x06,0x02,0x7e,
0x0f,0xb6,0xe6,0x55,0x12,0x14,0x23,0x7e,0x0f,0xb6,0xe6,0xaa,0x12,0x14,0x23,0x10,
0xee,0x06,0x04,0x7e,0x0f,0xb6,0x12,0x23,0x14,0x10,0xf8,0xd1,0x1c,0xc1,0x10,0xd4,
0x21,0x00,0x80,0x55,0x5d,0x01,0x05,0x09,0xe5,0x2a,0x3d,0x5c,0x22,0x5d,0x5e,0x21,
0x0f,0x5d,0x36,0x00,0x23,0x36,0x00,0x21,0x5c,0x5e,0xe3,0xed,0x73,0x3d,0x5c,0xc3,
0x13,0x3d,0x21,0x00,0x00,0x22,0x3d,0x5c,0x3a,0x0f,0x5d,0xa7,0x20,0xd2,0x3e,0x00,
0xd3,0xfe,0x21,0xff,0x5a,0x36,0x00,0x2b,0xcb,0x54,0x28,0xf9,0x36,0x00,0x2b,0xcb,
0x6c,0x28,0xf9,0x21,0xff,0x88,0x01,0x21,0x0b,0x7e,0xb9,0x30,0x06,0x05,0x28,0x03,
0x2d,0x18,0xf6,0x2e,0xf5,0x78,0x32,0x9b,0x62,0xa7,0x28,0x0b,0x0d,0x7e,0xb9,0x30,
0x01,0x79,0x77,0x23,0x13,0x10,0xf6,0x21,0xe4,0x9e,0xaf,0x77,0xe5,0x21,0x00,0x80,
0x11,0x00,0x89,0xe5,0xdd,0xe1,0x0e,0x10,0xdd,0x7e,0x00,0xb7,0x28,0x1f,0x3d,0x28,
0x19,0xdd,0x7e,0x0d,0xfe,0xc0,0xdd,0x7e,0x08,0x20,0x04,0xfe,0x43,0x28,0x04,0xfe,
0x42,0x20,0x07,0xe3,0x34,0xe3,0xed,0xb0,0x18,0xd9,0x09,0x18,0xd6,0xe1,0x06,0x30,
0x12,0x13,0x10,0xfc,0x7e,0xa7,0x20,0x06,0x21,0xc4,0x63,0xc3,0xeb,0x5f,0x11,0x01,
0x00,0xfe,0x40,0x38,0x04,0x3e,0x3f,0x77,0x1d,0x32,0x17,0x62,0xeb,0x1a,0xd6,0x14,
0x38,0x03,0x2c,0x18,0xf9,0x1a,0x4f,0x95,0x38,0x03,0x24,0x18,0xf9,0x79,0xb7,0xf5,
0x5d,0x54,0xdd,0x21,0xd0,0x9e,0xf1,0xf5,0x28,0x01,0x24,0x24,0x24,0xdd,0x74,0x03,
0x3e,0x17,0x94,0xcb,0x3f,0xdd,0x77,0x01,0xaf,0x45,0xc6,0x0a,0x10,0xfc,0x6f,0x2c,
0x2c,0xdd,0x75,0x02,0x4d,0x3e,0x20,0x91,0xcb,0x3f,0xdd,0x77,0x00,0xd5,0xcd,0x2a,
0x62,0xd1,0x0e,0x08,0xed,0x43,0x99,0x5f,0x7b,0x32,0x8c,0x5f,0x43,0xaf,0xc6,0x0a,
0x10,0xfc,0x32,0xee,0x61,0xf1,0x28,0x01,0x14,0x7a,0x32,0x81,0x5f,0x32,0xf6,0x61,
0x7b,0x3d,0x28,0x10,0x7a,0x3d,0x0e,0x10,0x60,0x68,0x09,0x3d,0x20,0xfc,0x0e,0x08,
0x09,0x22,0x99,0x5f,0x21,0xf7,0x63,0xdd,0x7e,0x01,0x3c,0x77,0x2c,0xdd,0x7e,0x00,
0x3c,0x3c,0x77,0x21,0x00,0x89,0x06,0x00,0xc5,0xe5,0x21,0xf6,0x63,0xcd,0xc6,0x60,
0xe1,0x06,0x00,0xe5,0x7e,0xa7,0x28,0x17,0xc5,0x06,0x08,0xcd,0xba,0x60,0x01,0x08,
0x00,0x09,0x3a,0xeb,0x60,0x3c,0x3c,0x32,0xeb,0x60,0xaf,0x32,0xf1,0x60,0xc1,0x10,
0xe3,0xe1,0x0e,0x10,0x09,0x3a,0xf7,0x63,0x3c,0x32,0xf7,0x63,0xc1,0x10,0xc9,0xdd,
0x5e,0x00,0xdd,0x56,0x01,0x14,0x1c,0x62,0x6b,0x22,0xd7,0x61,0x7d,0x32,0x01,0x62,
0xc6,0x09,0x6f,0x7c,0x32,0xfb,0x61,0xcb,0x24,0xcb,0x24,0xcb,0x24,0x7c,0xc6,0x04,
0x67,0xcb,0x25,0xcb,0x25,0xcb,0x25,0x7d,0xc6,0x04,0x6f,0x22,0xe0,0x9e,0x21,0xd3,
0x63,0xcd,0xc6,0x60,0xcd,0x41,0x60,0x3a,0x69,0x5e,0x06,0x00,0xee,0xf0,0xd3,0xfe,
0x4f,0xed,0x5f,0xd3,0xfb,0x79,0x10,0xf4,0x3a,0xe2,0x9e,0xfe,0xff,0xca,0x9d,0x60,
0x6f,0x26,0x00,0xcd,0xd3,0x62,0x11,0x00,0x89,0x19,0xe5,0x11,0x56,0x5d,0x01,0x08,
0x00,0xed,0xb0,0xdd,0xe1,0x11,0x20,0xf7,0xdd,0x7e,0x08,0xfe,0x43,0x20,0x03,0x11,
0xaf,0xec,0x7a,0x32,0x54,0x5d,0x7b,0x32,0x5f,0x5d,0x21,0x00,0x9f,0xaf,0x77,0x2b,
0xcb,0x7c,0x20,0xfa,0xc3,0x03,0x3d,0xcd,0x7d,0x61,0xcd,0xcd,0x61,0xcd,0x9f,0x61,
0x3e,0xf7,0xdb,0xfe,0xcb,0x47,0x28,0x4a,0x76,0xcd,0xcd,0x61,0xcd,0x8e,0x61,0xcd,
0x4e,0x61,0x21,0xe3,0x9e,0xa7,0x4f,0x28,0x08,0x06,0x08,0x7e,0x3c,0xb8,0x38,0x01,
0x78,0x77,0xcb,0x2f,0x47,0x21,0xe0,0x9e,0x11,0xb6,0xf8,0x7e,0xcb,0x41,0xc4,0xa6,
0x60,0xcb,0x49,0xc4,0xa0,0x60,0x77,0x23,0x7e,0xcb,0x51,0xc4,0xad,0x60,0xcb,0x59,
0xc4,0xb4,0x60,0x77,0xcb,0x61,0xc0,0x3a,0xe5,0x9e,0x0f,0xd8,0x3a,0xea,0x9e,0x0f,
0x30,0xa5,0xc1,0xc3,0x3a,0x5e,0xb7,0xc8,0x90,0xd0,0xaf,0xc9,0xba,0xc8,0x80,0xba,
0xd8,0x7a,0xc9,0xbb,0xc8,0x80,0xbb,0xd8,0x7b,0xc9,0xb7,0xc8,0x90,0xd0,0xaf,0xc9,
0x7e,0x23,0xe5,0xc5,0xcd,0xea,0x60,0xc1,0xe1,0x10,0xf5,0xc9,0x7e,0x23,0xb7,0xc8,
0xfe,0x16,0x20,0x15,0x7e,0x23,0xe5,0xcd,0x9e,0x0e,0xd1,0x1a,0x13,0x85,0x6f,0x22,
0xeb,0x60,0xaf,0x32,0xf1,0x60,0xeb,0x18,0xe3,0xe5,0xcd,0xea,0x60,0xe1,0x18,0xdc,
0x21,0x00,0x40,0x5f,0x16,0x91,0x3e,0x00,0xa7,0xca,0x48,0x61,0x4f,0xed,0x44,0xd6,
0x11,0x32,0x28,0x61,0xcb,0x21,0x06,0x9e,0x0a,0x32,0x1a,0x61,0x0c,0x0a,0x32,0x20,
0x61,0x06,0x09,0xc3,0x25,0x61,0x0f,0x0f,0x0f,0x0f,0x0f,0x0f,0x0f,0x0f,0x4f,0xe6,
0x00,0xae,0x77,0x2c,0x79,0xe6,0x00,0xae,0x77,0x2d,0x24,0x1a,0x14,0x10,0xef,0x3a,
0xf1,0x60,0xc6,0x08,0x32,0xf1,0x60,0xfe,0x08,0xd8,0xe6,0x07,0x32,0xf1,0x60,0x2a,
0xeb,0x60,0x2c,0xc2,0x44,0x61,0x7c,0xc6,0x08,0x67,0x22,0xeb,0x60,0xc9,0xcd,0x00,
0x00,0xc3,0x29,0x61,0xcd,0x48,0x63,0xdb,0x1f,0xe6,0x1f,0x5f,0xe6,0x03,0xfe,0x03,
0x20,0x02,0x1e,0x00,0x21,0x13,0x63,0x7e,0xa7,0x7b,0xc8,0x7e,0x23,0xdb,0xfe,0x2f,
0xa6,0x23,0x28,0x03,0x7e,0xb3,0x5f,0x23,0x18,0xed,0xcd,0xc5,0x61,0x11,0x00,0x9c,
0x06,0x0a,0xc9,0xcd,0x74,0x61,0x7e,0x12,0x2c,0x1c,0x7e,0x12,0x1c,0x2d,0xcd,0x00,
0x63,0x10,0xf3,0xc9,0xcd,0x74,0x61,0x1a,0x77,0x2c,0x1c,0x1a,0x77,0x1c,0x2d,0xcd,
0x00,0x63,0x10,0xf3,0xc9,0xcd,0xc5,0x61,0xe5,0x6f,0xcd,0xd0,0x62,0x29,0x11,0x00,
0x99,0x19,0xd1,0x06,0x0a,0x1a,0xa6,0x23,0xb6,0x12,0x23,0x1c,0x1a,0xa6,0x23,0xb6,
0x12,0x23,0x1d,0xeb,0xcd,0x00,0x63,0xeb,0x10,0xeb,0xc9,0xed,0x4b,0xe0,0x9e,0x78,
0xc3,0xb0,0x22,0x3a,0xe4,0x9e,0xa7,0xc8,0xed,0x5b,0xe0,0x9e,0x21,0x00,0x00,0x3e,
0xff,0x32,0xe2,0x9e,0xcb,0x3a,0xcb,0x3a,0xcb,0x3a,0xcb,0x3b,0xcb,0x3b,0xcb,0x3b,
0x7b,0x95,0xd8,0x06,0x00,0xb8,0xd0,0x5f,0x7a,0x94,0xd8,0x06,0x00,0xb8,0xd0,0x4f,
0xc6,0x00,0xcd,0x9e,0x0e,0x7d,0xc6,0x00,0x6f,0x7b,0xd6,0x0a,0x5f,0x38,0x09,0x79,
0x80,0x4f,0x7d,0xc6,0x0a,0x6f,0x18,0xf1,0x79,0x32,0xe2,0x9e,0xfe,0x00,0xd0,0x0e,
0x08,0x06,0x0a,0x5d,0x7e,0x2f,0x77,0x2c,0x10,0xfa,0x6b,0x24,0x0d,0x20,0xf2,0xc9,
0xdd,0x34,0x00,0xdd,0x34,0x01,0xdd,0x36,0x04,0x0f,0x7b,0xfe,0x03,0xf5,0x20,0x03,
0xdd,0x35,0x02,0xcd,0xd8,0x62,0xf1,0x20,0x03,0xdd,0x34,0x02,0xdd,0x35,0x00,0xdd,
0x35,0x01,0xdd,0x36,0x04,0x38,0xcd,0xd8,0x62,0xdd,0x7e,0x01,0xf5,0xcd,0x9e,0x0e,
0x7d,0xdd,0x86,0x00,0x6f,0xe5,0x0e,0x08,0xdd,0x46,0x02,0x5d,0x7e,0x2f,0x77,0x2c,
0x10,0xfa,0x6b,0x24,0x0d,0x20,0xf1,0xe1,0x3a,0x9b,0x62,0xb7,0x28,0x2a,0x47,0xaf,
0xc6,0x08,0x10,0xfc,0x47,0xdd,0x7e,0x02,0x07,0x07,0x07,0x90,0xcb,0x3f,0x47,0xe6,
0x07,0x32,0xf1,0x60,0x78,0xcb,0x3f,0xcb,0x3f,0xcb,0x3f,0x85,0x6f,0x22,0xeb,0x60,
0x06,0x00,0x21,0xf5,0x88,0xcd,0xba,0x60,0xdd,0x46,0x03,0xf1,0xf5,0xc5,0xcd,0x9e,
0x0e,0x7d,0xdd,0x86,0x00,0x6f,0x06,0x08,0xe5,0xcb,0xfe,0xdd,0x7e,0x02,0x85,0x3d,
0x6f,0xcb,0xc6,0xe1,0x24,0x10,0xf1,0xc1,0xf1,0x3c,0x10,0xe0,0x25,0xdd,0x46,0x02,
0x36,0xff,0x23,0x10,0xfb,0xc9,0x26,0x00,0x29,0x29,0x29,0x29,0x29,0xc9,0xdd,0x46,
0x03,0xdd,0x4e,0x02,0xdd,0x6e,0x01,0xcd,0xd0,0x62,0x7c,0xc6,0x58,0x67,0x7d,0xdd,
0x86,0x00,0x6f,0xdd,0x7e,0x04,0x11,0x20,0x00,0xc5,0xe5,0x77,0x23,0x0d,0x20,0xfb,
0xe1,0xc1,0x19,0x10,0xf4,0xc9,0x24,0x7c,0xe6,0x07,0xc0,0x7c,0xd6,0x08,0x67,0x7d,
0xc6,0x20,0x6f,0xd0,0x7c,0xc6,0x08,0x67,0xc9,0xfb,0x01,0x08,0xfd,0x01,0x04,0xdf,
0x02,0x02,0xdf,0x01,0x01,0x7f,0x05,0x10,0xef,0x01,0x10,0xef,0x02,0x08,0xef,0x04,
0x04,0xef,0x08,0x01,0xef,0x10,0x02,0x00,0xe6,0x03,0x28,0x31,0x3d,0x28,0x09,0xaf,
0x32,0x65,0x63,0x3e,0x05,0x32,0x60,0x63,0x21,0x00,0x00,0x22,0x5b,0x63,0x21,0xe5,
0x9e,0xe5,0xdd,0xe1,0xaf,0x06,0x06,0x77,0x2c,0x10,0xfc,0x01,0xdf,0xfa,0xed,0x78,
0x2f,0x18,0xd5,0x1f,0xdd,0xcb,0x00,0x16,0x1f,0xdd,0xcb,0x05,0x16,0x2a,0xe0,0x9e,
0xed,0x5b,0xed,0x9e,0x01,0xdf,0xfb,0xed,0x78,0x32,0xed,0x9e,0x93,0x28,0x1d,0xf2,
0x88,0x63,0xdd,0x36,0x04,0x01,0x87,0x85,0x38,0x01,0xaf,0x6f,0x18,0x0e,0x87,0x85,
0xdd,0x77,0x03,0x38,0x04,0xfe,0xf8,0x38,0x02,0x3e,0xf8,0x6f,0x06,0xff,0xed,0x78,
0x32,0xee,0x9e,0x92,0x28,0x20,0xed,0x44,0xf2,0xb1,0x63,0xdd,0x36,0x01,0x01,0x87,
0x84,0x38,0x01,0xaf,0x67,0x18,0x0f,0x87,0x84,0xdd,0x36,0x02,0x01,0x38,0x04,0xfe,
0xb6,0x38,0x02,0x3e,0xb6,0x67,0x22,0xe0,0x9e,0xc9,0x16,0x0c,0x0a,0x4e,0x4f,0x20,
0x45,0x58,0x45,0x20,0x46,0x49,0x4c,0x45,0x53,0x16,0x17,0x00,0x27,0x53,0x54,0x45,
0x41,0x4c,0x54,0x48,0x20,0x42,0x4f,0x4f,0x54,0x27,0x20,0x42,0x59,0x20,0x52,0x45,
0x41,0x4c,0x20,0x53,0x4f,0x46,0x54,0x57,0x41,0x52,0x45,0x00,0x16,0x00,0x00,0x00,
0xff,0x00,0x7f,0x80,0x3f,0xc0,0x1f,0xe0,0x0f,0xf0,0x07,0xf8,0x03,0xfc,0x01,0xfe,
0xbf,0x00,0xff,0x00,0x1f,0x40,0xff,0x00,0x0f,0x60,0xff,0x00,0x07,0x70,0xff,0x00,
0x03,0x78,0xff,0x00,0x01,0x7c,0xff,0x00,0x00,0x7e,0xff,0x00,0x01,0x78,0xff,0x00,
0x07,0x40,0xff,0x00,0xbf,0x00,0xff,0x00,0x2d,0x2d,0x2d,0x2d,0x0d,0x80,0xaa,0x0a,
0x00,};
